All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_kernel_definition Class Reference

Exception thrown if the kernel definition (number of arguments, argument types, etc.) is not the same for all devices for which the program has been built. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_kernel_definition:

## Detailed Description

Exception thrown if the kernel definition (number of arguments, argument types, etc.) is not the same for all devices for which the program has been built.

Definition at line 383 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp